#
# spec file for package yast2-security (Version 2.13.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pam yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-security
Version:        2.13.4
Release:        0.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-security-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  doxygen perl-XML-Writer pkg-config update-desktop-files yast2-devtools yast2-pam yast2-testsuite
Requires:       yast2 yast2-pam
Provides:       y2c_sec yast2-config-security
Obsoletes:      y2c_sec yast2-config-security
Provides:       yast2-trans-security y2t_sec
Obsoletes:      yast2-trans-security y2t_sec
BuildArchitectures: noarch
Summary:        YaST2 - Security Configuration

%description
The YaST2 component for security settings configuration.



Authors:
--------
    Michal Svec <msvec@suse.cz>
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-security-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/security
/usr/share/YaST2/include/security/*
%{prefix}/share/applications/YaST2/security.desktop
/usr/share/YaST2/clients/security*.ycp
/usr/share/YaST2/modules/Security.y*
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-security

%changelog -n yast2-security
* Tue Jun 13 2006 - jsuchome@suse.cz
- use DISPLAYMANAGER_SHUTDOWN instead of KDM_SHUTDOWN (#183844)
- 2.13.4
* Mon Jun 12 2006 - mvidner@suse.cz
- Moved cfg_security.scr from yast2-security.rpm to yast2.rpm
- 2.13.3
* Mon Feb 20 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.2
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged proofread texts
- 2.13.1
* Wed Nov 23 2005 - jsuchome@suse.cz
- added option to store user password history (F300154)
- 2.13.0
* Thu Jun 09 2005 - jsuchome@suse.cz
- text fixes from proofreader
- fixed wrong description of PASS_MAX_DAYS, PASS_MIN_DAYS
- 2.12.2
* Fri May 13 2005 - jsuchome@suse.cz
- tell init to re-examine the /etc/inittab after modification (#83480)
- 2.12.1
* Mon Apr 18 2005 - jsuchome@suse.cz
- removed support for FAILLOG_ENAB (feature 2669)
- 2.12.0
* Wed Mar 02 2005 - jsuchome@suse.cz
- merged texts from proofreading
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.3
* Fri Jan 21 2005 - jsuchome@suse.cz
- handle both "cracklib" and "use_cracklib" values in pam_pwcheck.conf
  (#49621)
- 2.11.2
* Fri Dec 17 2004 - jsuchome@suse.cz
- removed select's and lookup's
- 2.11.1
* Tue Nov 02 2004 - jsuchome@suse.cz
- do not set maximum password length (#29112)
- 2.11.0
* Tue Aug 31 2004 - nashif@suse.de
- use modified flag (#43904) in auto clients
- 2.10.5
* Thu Aug 19 2004 - jsuchome@suse.cz
- commandline function: "set"
- 2.10.3
* Wed Aug 18 2004 - jsuchome@suse.cz
- fix: check correctly which security level is in use
- fix: read correctly value for password encryption
- commandline functions: summary, level
* Tue Jul 27 2004 - jsuchome@suse.cz
- read also group encryption from /etc/default/passwd
- 2.10.2
* Mon Jun 28 2004 - jsuchome@suse.cz
- updated to current yast2-pam usage
  (/etc/default/passwd used for storing password encryption)
- 2.10.1
* Tue Jun 15 2004 - msvec@suse.cz
- updated testsuite
- 2.10.0
* Sun Apr 04 2004 - msvec@suse.cz
- changed minimum UID from 500 to 1000 (#38181)
- 2.9.14
* Fri Apr 02 2004 - msvec@suse.cz
- changed license to GPL
- 2.9.13
* Wed Mar 17 2004 - jsuchome@suse.cz
- fixed testsuite (forced by change of PamSettings::Write)
- 2.9.12
* Fri Mar 12 2004 - jsuchome@suse.cz
- flush changes of pam configuration (#35721)
- 2.9.11
* Thu Mar 11 2004 - msvec@suse.cz
- enabled the testsuite again
- 2.9.10
* Wed Mar 10 2004 - jsuchome@suse.de
- disabled testsuite
- 2.9.9
* Wed Mar 10 2004 - nashif@suse.de
- Adapted for new wizard
* Mon Mar 08 2004 - msvec@suse.cz
- set title icons
- 2.9.8
* Fri Mar 05 2004 - msvec@suse.cz
- more strict type casts
- 2.9.7
* Mon Mar 01 2004 - msvec@suse.cz
- proof-read messages
- 2.9.6
* Tue Feb 24 2004 - msvec@suse.cz
- fix enabling of the remote XDM access (#34879)
- 2.9.5
* Fri Feb 06 2004 - msvec@suse.cz
- use Sequencer module
- drop y2cc config file
- 2.9.4
* Mon Jan 26 2004 - msvec@suse.cz
- updates for the new interpreter
- 2.9.3
* Fri Jan 23 2004 - msvec@suse.cz
- NI updates
- 2.9.2
* Wed Oct 22 2003 - msvec@suse.cz
- routines cleanup
- 2.9.1
* Fri Sep 26 2003 - jsuchome@suse.cz
- read new settings from /etc/login.defs (SYSTEM_UID_MAX, USERADD_CMD etc.)
- 2.9.0
* Thu Sep 11 2003 - msvec@suse.cz
- changed "UNIX system" to "UNIX like system" in helps (#30495)
- 2.8.6
* Thu Sep 11 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Tue Sep 09 2003 - msvec@suse.cz
- show correctly the current level (#30320)
- 2.8.5
* Fri Sep 05 2003 - msvec@suse.cz
- proof read help texts
- 2.8.4
* Thu Aug 21 2003 - msvec@suse.cz
- don't modify files when nothing changed (#28999)
- 2.8.3
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.2
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts (1st round)
* Tue Jul 22 2003 - msvec@suse.cz
- simplify autoinstallation client
- updated testsuite
- 2.8.1
* Wed Jul 16 2003 - jsuchome@suse.de
- updated to new Pam/PamSettings interface
* Sun May 11 2003 - msvec@suse.de
- maximum password length is related to encryption method (#13291)
- support for enabling of SysRq keys
- define password lengths (#13291)
- improved documentation
- better help texts (#26791)
- updates for the new wizard functions
- 2.8.0
* Mon Mar 03 2003 - msvec@suse.de
- autoinstallation fixes by nashif
- 2.7.8
* Sun Feb 16 2003 - nashif@suse.de
- Set modified true when importing
- 2.7.7
* Sat Feb 15 2003 - nashif@suse.de
- convert case when importing/exporting in autoinst mode
- _auto.ycp Result ->Export
- 2.7.6
* Mon Feb 10 2003 - msvec@suse.de
- proofread texts
- 2.7.5
* Mon Feb 03 2003 - msvec@suse.cz
- autoinst and texts fixes
- 2.7.4
* Thu Jan 30 2003 - msvec@suse.de
- proofread texts
- 2.7.3
* Wed Jan 22 2003 - msvec@suse.cz
- added missing module to the package
- 2.7.2
* Tue Jan 21 2003 - nashif@suse.de
- Added import function to _auto client
- switch case to lower when exporting/upper when importing
* Tue Jan 21 2003 - msvec@suse.de
- fixed some error popups (and added some more)
- fixed the autoinstallation client
- 2.7.1
* Tue Oct 22 2002 - msvec@suse.cz
- completely rewritten internals
- major cleanup, simplification and speedup
- don't ask for save if nothing was changed
- support for CWD in user's path (#18274)
- complete support for blowfish (#12758)
- 2.7.0
* Thu Sep 05 2002 - msvec@suse.cz
- fix the Next|Finish behavior (#18937)
- provide more old translations (y2t_sec)
- 2.6.10
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages (bug #18691)
* Wed Aug 14 2002 - mvidner@suse.cz
- Merged proofread texts for the second translation round.
- 2.6.8
* Mon Jul 29 2002 - msvec@suse.cz
- some general purpose agents moved to yast2
- blowfish password encryption (#17039) <jsrain@suse.cz>
- 2.6.7
* Wed Jul 24 2002 - msvec@suse.cz
- fixed some error messages
- 2.6.6
* Mon Jul 22 2002 - jsrain@suse.cz
- merged proofread texts
- version 2.6.5
* Mon Jul 15 2002 - nashif@suse.de
- adapted for use with the autoinstallation configuration system
- security_auto now exports lower case values
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul 08 2002 - msvec@suse.cz
- use Wizard and other predefined functions
- drastic reduction and simplification of UI code
- split adduser dialog
- 2.6.3
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - msvec@suse.cz
- package renamed to yast2-security
- preliminary autoinstallation support
- 2.6.1
* Mon Jun 03 2002 - msvec@suse.cz
- testsuite update
- shortened label (#15089)
- removed outdated docs #15875
- implement CONSOLE SHUTDOWN fully in yast2
- don't run full SuSEconfig
- use y2autoconf, create-spe
- 2.6.0
* Wed Feb 27 2002 - msvec@suse.cz
- use buildroot (via y2spec)
- include the locate agent in the package
- 2.5.11
* Mon Feb 25 2002 - msvec@suse.cz
- use proper sysconfig files (#13619)
- minor fix of permissions writing
- added agent for sysconfig/locate
- updated testsuite
- 2.5.10
* Mon Feb 18 2002 - msvec@suse.cz
- fixed shortcuts
- fixed permissions reading and writing (#13106)
- updated testsuite
- 2.5.9
* Mon Feb 11 2002 - mvidner@suse.cz
- Fixed login.defs agent to handle quoted values.
- Fixed test suite.
- 2.5.8
* Tue Feb 05 2002 - kukuk@suse.de
- Add support for global pam_unix2 and pam_pwcheck config files
- Version 2.5.7
* Sat Jan 26 2002 - nashif@suse.de
- Added agents to file list
- 2.5.6
* Wed Jan 16 2002 - msvec@suse.cz
- added pam_unix2 and rlogin|gdm to MD5 settings (md5 is #9543)
- use_cracklib is now via pam (PASSWD_USE_CRACKLIB)
- drop telnet for root checkbox (ROOT_LOGIN_REMOTE)
- added /etc/login.defs agent (using ini agent right now)
- added /etc/sysconfig/security agent
- updated testsuite
- 2.5.5
* Thu Dec 20 2001 - msvec@suse.cz
- new menuentry file format
- 2.5.3
* Tue Dec 04 2001 - msvec@suse.cz
- 3rd params to select
- 2.5.2
* Wed Nov 21 2001 - msvec@suse.cz
- added DISPLAYMANAGER_REMOTE_ACCESS setting (#10824)
- updated testsuite
- 2.5.1
* Mon Nov 19 2001 - msvec@suse.cz
- fixed lookup 3rd parameters
- migration to yast2-devtools
- minor makefiles fixes
- 2.5.0
* Tue Aug 28 2001 - msvec@suse.cz
- enlarge max uid to 32 bit (#9871)
- parseycp during check
- version 2.4.5
* Wed Aug 22 2001 - msvec@suse.cz
- added requires (rcconfig and pam agents, wizard library)
- version 2.4.4
* Wed Aug 15 2001 - msvec@suse.cz
- added MD5 password encryption suuport
- testsuite for the above
- removed Finish function
- removed UI(_(...))
- use of UI:: and SCR::
- version 2.4.3
* Thu Aug 09 2001 - msvec@suse.cz
- use common_messages for button labels
- version 2.4.2
* Mon Jul 30 2001 - msvec@suse.cz
- new libycp fixes
- minor variable fixes
- updated testsuite
- adapt to the new translator (locale useless)
- version 2.4.1
* Tue Jul 10 2001 - ro@suse.de
- removed yast2-core-translator from neededforbuild
* Tue Jul 03 2001 - msvec@suse.cz
- adapted to the system agent split
- added missing shortcuts (#9017)
- version 2.4.0
* Wed May 02 2001 - msvec@suse.cz
- fix menuentry file
- version 2.3.5
* Mon Apr 23 2001 - msvec@suse.cz
- removed isnils
- no more quick SuSEconfig
- help fix (#6912)
- version 2.3.4
* Fri Apr 13 2001 - msvec@suse.cz
- enabled abuild checking
- fixed help text (#6190)
- version 2.3.3
* Wed Apr 04 2001 - msvec@suse.cz
- updated comments and docs
- version 2.3.2
* Fri Mar 30 2001 - msvec@suse.cz
- support for "auto" KDM setting
- new libycp adaptation
- autobuild checking
- removed 7.1 hacks
- source cleanup
- version 2.3.1
* Wed Mar 07 2001 - msvec@suse.cz
- package rename
- version 2.3.0
* Mon Jan 15 2001 - msvec@suse.cz
- minimal UID should be 500 (#5643)
- updated comments for translators
- Next button translatable and shortcut
* Fri Jan 12 2001 - msvec@suse.de
- root telnet enabled means disabled and vice versa
- minor gui update
- saving fixed
* Wed Jan 10 2001 - msvec@suse.de
- Translatable strings bugfix
* Fri Jan 05 2001 - kkaempf@suse.de
- provide keyboard shortcuts for buttons
* Fri Jan 05 2001 - kkaempf@suse.de
- mark strings as translatable
* Fri Dec 15 2000 - msvec@suse.cz
- help text for the main screen added (#4619)
- check the minimum <= maximum (#4682)
* Wed Dec 13 2000 - mike@suse.de
- new menuentry file
* Wed Dec 13 2000 - msvec@suse.cz
- menuentry updated
* Tue Dec 12 2000 - msvec@suse.cz
- helps
- GUI update
- version 1.1.3
* Mon Dec 11 2000 - msvec@suse.cz
- minor GUI update
- fix the Custom writing
- ``Something() -> ``(Something())
-  version  1.1.2
* Sat Dec 09 2000 - kukuk@suse.de
- Add group tag
* Fri Dec 08 2000 - msvec@suse.cz
- also update the source
* Fri Dec 08 2000 - msvec@suse.cz
- minor layout and functional updates
- version 1.1.1
* Wed Nov 29 2000 - msvec@suse.cz
- new layout
- version 1.1.0
* Wed Oct 25 2000 - msvec@suse.cz
- initial version
* Thu Jan 02 1997 - msvec@suse.de
- bugfixes
